#include <cstdio>
#include <bits/stdc++.h>

using namespace std;

static bool red[1000005];
static bool kolona[1000005];
int niz[1000005][2];

int main()
{
    int n;
    scanf("%d", &n);
    int r, c;
    for(int i = 0; i<n; i++)
    {
        scanf("%d %d", &r, &c);
        //red[r]=true;
        //kolona[c]=true;
        niz[i][0]=r;
        niz[i][1]=c;
    }

    int resenje = 0;
    for(int i = 0; i<n; i++)
    {
        int min1 = 9999999;
        int min2 = 9999999;
        int br1, br2;
        for(int j = 0; j<n; j++)
        {
            if(abs(niz[i][0]-1-j) < min1 && !red[j])
            {
                min1 = abs(niz[i][0]-1-j);
                br1 = j;
            }
            if(abs(niz[i][1]-1-j) < min2 && !kolona[j])
            {
                min2 = abs(niz[i][1]-1-j);
                br2 = j;
            }
        }

        red[br1] = true;
        kolona[br2] = true;
        resenje+=min1;
        resenje+=min2;
    }

    printf("%d", resenje);
    return 0;
}